---
title: 'Window: focus event'
slug: Web/API/Window/focus_event
tags:
  - API
  - Event
  - Focus
  - FocusEvent
  - Reference
  - Web
  - Window
  - onfocus
---
<div>{{APIRef}}</div>

<p>The <strong><code>focus</code></strong> event fires when an element has received focus.</p>

<p>The opposite of <code>focus</code> is {{domxref("Window/blur_event", "blur")}}.</p>

<table class="properties">
 <tbody>
  <tr>
  </tr>
  <tr>
   <th>Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{DOMxRef("FocusEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onfocus", "onfocus")}}</td>
  </tr>
  <tr>
   <th>Sync / Async</th>
   <td>Sync</td>
  </tr>
  <tr>
   <th>Composed</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Live_example">Live example</h3>

<p>This example changes the appearance of a document when it loses focus. It uses {{domxref("EventTarget.addEventListener()", "addEventListener()")}} to monitor <code>focus</code> and {{domxref("Window/blur_event", "blur")}} events.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;p id="log"&gt;Click on this document to give it focus.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css">.paused {
  background: #ddd;
  color: #555;
}</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">function pause() {
  document.body.classList.add('paused');
  log.textContent = 'FOCUS LOST!';
}

function play() {
  document.body.classList.remove('paused');
  log.textContent = 'This document has focus. Click outside the document to lose focus.';
}

const log = document.getElementById('log');

window.addEventListener('blur', pause);
window.addEventListener('focus', play);</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Live_example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("UI Events", "#event-type-focus")}}</td>
   <td>{{Spec2("UI Events")}}</td>
   <td>Added info that this event is composed.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Events", "#event-type-focus")}}</td>
   <td>{{Spec2("DOM3 Events")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.focus_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related event: {{domxref("Window/blur_event", "blur")}}</li>
 <li>This event on <code>Element</code> targets: {{domxref("Element/focus_event", "focus")}} event</li>
</ul>
